## python-stone 3.3.1

=== requirements.txt ===
ply>= 3.4
six>= 1.12.0

=== debian/changelog ===
python-stone (3.3.1-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix python3.12 FTBFS
    (Closes: #1056506)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 11 Dec 2023 15:55:42 +0100

python-stone (3.3.1-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.2 (routine-update)
  * Add salsa-ci file (routine-update)

  [ Nilesh Patra ]
  * Add patch to fix python3.11 FTBFS
    (Closes: #1025122)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 22 Dec 2022 18:19:36 +0530

python-stone (3.3.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Use pybuild-plugin-pyproject to support pyproject.toml build.
  * Clean up .eggs/README.txt to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Sat, 29 Jan 2022 11:37:13 +0000

python-stone (3.2.1-2) unstable; urgency=medium

  * Add python3-six to Build-Depends, required to build.
  * Rename stone binary to stone-py to avoid conflict with stone package
    (Closes: #998823).
  * Update year in d/copyright.
  * Depend on python3-all for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Thu, 06 Jan 2022 21:24:52 +0000

python-stone (3.2.1-1) unstable; urgency=low

  * Initial release (Closes: #997843).

 -- Michael Fladischer <fladi@debian.org>  Thu, 21 Oct 2021 09:41:53 +0000

=== debian/control ===
Source: python-stone
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 docbook-to-man,
 pybuild-plugin-pyproject,
 python3-all,
 python3-ply,
 python3-pytest,
 python3-pytest-runner,
 python3-setuptools,
 python3-six,
Standards-Version: 4.6.2
Homepage: https://github.com/dropbox/stone/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-stone
Vcs-Git: https://salsa.debian.org/python-team/packages/python-stone.git
Rules-Requires-Root: no

Package: python3-stone
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: interface description language (IDL) for APIs (Python3 version)
 The Official API Spec Language for Dropbox. Define an API once in Stone. Use
 backends, i.e. code generators, to translate your specification into objects
 and functions in the programming languages of your choice.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=stone
export PYBUILD_BEFORE_TEST=cp -r {dir}/test {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test

%:
	dh $@ --buildsystem=pybuild


override_dh_auto_install:
	dh_auto_install
	mv debian/python3-stone/usr/bin/stone debian/python3-stone/usr/bin/stone-py

override_dh_installman:
	docbook-to-man debian/manpage.stone.sgml > stone-py.1
	dh_installman

## python-stone 3.3.6

=== debian/changelog ===
python-stone (3.3.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Alexandre Detiste <tchet@debian.org>  Wed, 22 May 2024 16:54:02 +0200

python-stone (3.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Refresh patches

 -- Alexandre Detiste <tchet@debian.org>  Sun, 12 May 2024 20:18:33 +0200

## python-stone 3.3.7

=== debian/changelog ===
python-stone (3.3.7-1) unstable; urgency=low

  * New upstream version 3.3.7
  * Refresh patches.
  * Update year in d/copyright.
  * Install testfiles using d/pybuild.testfiles.

 -- Michael Fladischer <fladi@debian.org>  Fri, 19 Jul 2024 17:36:59 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-pytest-runner,
  python3-setuptools,
  python3-six,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/dropbox/stone/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-stone
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-stone.git

## python-stone 3.3.8

=== requirements.txt ===
ply>= 3.4
six>= 1.12.0
packaging>=21.0

=== test/requirements.txt ===
mock>=2.0.0,<5.0
coverage==5.5
pytest<7

=== debian/changelog ===
python-stone (3.3.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.3.8
  * Patch-out usage of "six"

 -- Alexandre Detiste <tchet@debian.org>  Fri, 10 Jan 2025 01:04:51 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  python3-pytest,
  python3-pytest-runner,
  python3-setuptools,
- python3-six,
 Standards-Version: 4.7.0
 Homepage: https://github.com/dropbox/stone/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-stone

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	dh $@ --buildsystem=pybuild
 
 
-override_dh_auto_install:
+execute_after_dh_auto_install:
 	dh_auto_install
 	mv debian/python3-stone/usr/bin/stone debian/python3-stone/usr/bin/stone-py

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v([\d\.]+)\.tar\.gz/python-stone-$1.tar.gz/ \
https://github.com/dropbox/stone/tags .*/v*([\d\.]+)\.tar\.gz

## python-stone 3.3.9

=== debian/changelog ===
python-stone (3.3.9-1) unstable; urgency=low

  [ Alexandre Detiste ]
  * trim autopkgtest dependencies

  [ Michael Fladischer ]
  * New upstream version 3.3.9
  * Refresh patches.
  * Bump Standards-Version to 4.7.3.
  * Drop Rules-Requires-Root.
  * Update year in d/copyright.
  * Use uscan version 5.
  * Switch Testsuite to autopkgtest-pkg-pybuild.

 -- Michael Fladischer <fladi@debian.org>  Mon, 19 Jan 2026 20:47:28 +0000

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-ply,
- python3-pytest,
- python3-pytest-runner,
+ python3-pytest <!nocheck>,
+ python3-pytest-runner <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/dropbox/stone/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-stone
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-stone.git
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-stone
 Architecture: all

=== debian/watch ===
version=5
opts=filenamemangle=s/.+\/v([\d\.]+)\.tar\.gz/python-stone-$1.tar.gz/ \
https://github.com/dropbox/stone/tags .*/v*([\d\.]+)\.tar\.gz
